Skip to main content
GET
/
regions
Error
A valid request URL is required to generate request examples
{
  "regions": [
    {
      "id": "<string>",
      "label": "<string>",
      "zone": "<string>",
      "selection_label": "<string>",
      "project_label": "<string>",
      "timezone": "<string>",
      "available": true,
      "private": true,
      "endpoint": "<string>",
      "provider": {
        "name": "<string>",
        "logo": "<string>"
      },
      "datacenter": {
        "name": "<string>",
        "label": "<string>",
        "location": "<string>"
      },
      "environmental_impact": {
        "zone": "<string>",
        "carbon_intensity": "<string>",
        "green": true
      }
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

filter[available]
object

Allows filtering by available using one or more operators.

filter[private]
object

Allows filtering by private using one or more operators.

filter[zone]
object

Allows filtering by zone using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: id, created_at, updated_at.

Example:

"-updated_at"

Response

OK

regions
object[]